Skip to content
iTick
  1. Docs
  2. REST API
  3. Crypto
  4. Batch Real-Time Tick

Batch Real-Time Tick

Offers batch and historical tick data download for the entire cryptocurrency market. Batch retrieval by time range via RESTful API, providing millisecond-level precision complete order book change logs, covering thousands of trading pairs including Bitcoin (BTC) and Ethereum (ETH). Data includes tick-by-tick trades and order book snapshots.

GET/crypto/ticks

Request Parameters

regionenumRequired

Market code

codesstringRequired

Product code(s). Separate multiple products with commas. The maximum supported quantity varies by plan: Base: 10, Professional: 20, Premium: 50, Enterprise: custom

Response Parameters

codenumber

Response code

msgstring

Response description

dataobject▶Response result
sstring

Symbol code

ldnumber

Latest price

tnumber

Timestamp of the latest trade

vnumber

Transaction volume

tunumber

Trading amount

tsnumber

Trading status of the symbol

Code Examples

import requests

url = "https://api.itick.org/crypto/ticks?region=BA&codes=BTCUSDT,ETHUSDT"

headers = {
"accept": "application/json"
"token": "Your Token"
}

response = requests.get(url, headers=headers)

print(response.text)

Query URL

GEThttps://api.itick.org/crypto/ticks?region=BA&codes=BTCUSDT,ETHUSDT

, Run query

Response Result

{
  "code": 0,
  "msg": null,
  "data": {
    "BTCUSDT": {
      "s": "BTCUSDT",
      "ld": 116100.9,
      "t": 1754585474123,  // 2025-08-07 16:51:14 UTC
      "v": 0.00992,
      "tu": 1151.720928,
      "ts": 0
    },
    "ETHUSDT": {
      "s": "ETHUSDT",
      "ld": 3802.52,
      "t": 1754585474610,  // 2025-08-07 16:51:14 UTC
      "v": 0.0648,
      "tu": 246.403296,
      "ts": 0
    }
  }
}